# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{simp-cli}
  s.version = "1.0.20"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Trevor Vaughan", "Chris Tessmer", "Kendall Moore", "Nick Markowski", "Adam Yohrling", "Morgan Haskel"]
  s.date = %q{2016-09-07}
  s.default_executable = %q{simp}
  s.description = %q{    simp-cli provides the 'simp' command to configure and manage SIMP.
}
  s.email = %q{simp@simp-project.org}
  s.executables = ["simp"]
  s.files = ["LICENSE", "README.md", "Rakefile", "bin/simp", "lib/simp/cli.rb", "lib/simp/cli/commands/bootstrap.rb", "lib/simp/cli/commands/config.rb", "lib/simp/cli/commands/doc.rb", "lib/simp/cli/commands/passgen.rb", "lib/simp/cli/config/item.rb", "lib/simp/cli/config/item/add_ldap_to_hiera.rb", "lib/simp/cli/config/item/answers_yaml_file_writer.rb", "lib/simp/cli/config/item/certificates.rb", "lib/simp/cli/config/item/client_nets.rb", "lib/simp/cli/config/item/common_runlevel_default.rb", "lib/simp/cli/config/item/dns_search.rb", "lib/simp/cli/config/item/dns_servers.rb", "lib/simp/cli/config/item/failover_log_servers.rb", "lib/simp/cli/config/item/gateway.rb", "lib/simp/cli/config/item/grub_password.rb", "lib/simp/cli/config/item/hostname.rb", "lib/simp/cli/config/item/hostname_conf.rb", "lib/simp/cli/config/item/ipaddress.rb", "lib/simp/cli/config/item/is_master_yum_server.rb", "lib/simp/cli/config/item/ldap_base_dn.rb", "lib/simp/cli/config/item/ldap_bind_dn.rb", "lib/simp/cli/config/item/ldap_bind_hash.rb", "lib/simp/cli/config/item/ldap_bind_pw.rb", "lib/simp/cli/config/item/ldap_master.rb", "lib/simp/cli/config/item/ldap_root_dn.rb", "lib/simp/cli/config/item/ldap_root_hash.rb", "lib/simp/cli/config/item/ldap_sync_dn.rb", "lib/simp/cli/config/item/ldap_sync_hash.rb", "lib/simp/cli/config/item/ldap_sync_pw.rb", "lib/simp/cli/config/item/ldap_uri.rb", "lib/simp/cli/config/item/log_servers.rb", "lib/simp/cli/config/item/netmask.rb", "lib/simp/cli/config/item/network_conf.rb", "lib/simp/cli/config/item/network_dhcp.rb", "lib/simp/cli/config/item/network_interface.rb", "lib/simp/cli/config/item/network_setup_nic.rb", "lib/simp/cli/config/item/ntp_servers.rb", "lib/simp/cli/config/item/puppet_autosign.rb", "lib/simp/cli/config/item/puppet_ca.rb", "lib/simp/cli/config/item/puppet_ca_port.rb", "lib/simp/cli/config/item/puppet_conf.rb", "lib/simp/cli/config/item/puppet_fileserver.rb", "lib/simp/cli/config/item/puppet_hosts_entry.rb", "lib/simp/cli/config/item/puppet_server.rb", "lib/simp/cli/config/item/puppet_server_ip.rb", "lib/simp/cli/config/item/puppetdb_port.rb", "lib/simp/cli/config/item/puppetdb_server.rb", "lib/simp/cli/config/item/remove_ldap_from_hiera.rb", "lib/simp/cli/config/item/rename_fqdn_yaml.rb", "lib/simp/cli/config/item/rsync_base.rb", "lib/simp/cli/config/item/rsync_server.rb", "lib/simp/cli/config/item/rsync_timeout.rb", "lib/simp/cli/config/item/set_grub_password.rb", "lib/simp/cli/config/item/simp_yum_servers.rb", "lib/simp/cli/config/item/sssd_domains.rb", "lib/simp/cli/config/item/use_auditd.rb", "lib/simp/cli/config/item/use_fips.rb", "lib/simp/cli/config/item/use_iptables.rb", "lib/simp/cli/config/item/use_ldap.rb", "lib/simp/cli/config/item/use_selinux.rb", "lib/simp/cli/config/item/yum_repositories.rb", "lib/simp/cli/config/item_list_factory.rb", "lib/simp/cli/config/questionnaire.rb", "lib/simp/cli/config/utils.rb", "lib/simp/cli/lib/utils.rb", "lib/simp/cli/version.rb", "spec/bin/files/simp_config_full_stdin_file", "spec/bin/files/simp_config_trunc_stdin_file", "spec/bin/simp_spec.rb", "spec/lib/simp/cli/commands/config_spec.rb", "spec/lib/simp/cli/commands/files/bad_simp.yaml", "spec/lib/simp/cli/commands/files/prev_simp.yaml", "spec/lib/simp/cli/commands/files/simp.yaml", "spec/lib/simp/cli/commands/files/simp_with_overrides.yaml", "spec/lib/simp/cli/commands/passgen_spec.rb", "spec/lib/simp/cli/config/item/add_ldap_to_hiera_spec.rb", "spec/lib/simp/cli/config/item/answers_yaml_file_writer_spec.rb", "spec/lib/simp/cli/config/item/certificates_spec.rb", "spec/lib/simp/cli/config/item/client_nets_spec.rb", "spec/lib/simp/cli/config/item/common_runlevel_default_spec.rb", "spec/lib/simp/cli/config/item/dns_search_spec.rb", "spec/lib/simp/cli/config/item/dns_servers_spec.rb", "spec/lib/simp/cli/config/item/failover_log_servers_spec.rb", "spec/lib/simp/cli/config/item/files/FakeCA/cacertkey", "spec/lib/simp/cli/config/item/files/FakeCA/gencerts_nopass.sh", "spec/lib/simp/cli/config/item/files/autosign.conf.new", "spec/lib/simp/cli/config/item/files/autosign.conf.used", "spec/lib/simp/cli/config/item/files/fileserver.conf", "spec/lib/simp/cli/config/item/files/host_with_simp_ldap_server.yaml", "spec/lib/simp/cli/config/item/files/hosts", "spec/lib/simp/cli/config/item/files/hosts.old_puppet_entry", "spec/lib/simp/cli/config/item/files/puppet.conf", "spec/lib/simp/cli/config/item/files/puppet.your.domain.yaml", "spec/lib/simp/cli/config/item/files/resolv.conf__multiple", "spec/lib/simp/cli/config/item/files/resolv.conf__single", "spec/lib/simp/cli/config/item/files/rsyncd.conf", "spec/lib/simp/cli/config/item/gateway_spec.rb", "spec/lib/simp/cli/config/item/grub_password_spec.rb", "spec/lib/simp/cli/config/item/hostname_conf_spec.rb", "spec/lib/simp/cli/config/item/hostname_spec.rb", "spec/lib/simp/cli/config/item/ipaddress_spec.rb", "spec/lib/simp/cli/config/item/is_master_yum_server_spec.rb", "spec/lib/simp/cli/config/item/ldap_base_dn_spec.rb", "spec/lib/simp/cli/config/item/ldap_bind_dn_spec.rb", "spec/lib/simp/cli/config/item/ldap_bind_hash_spec.rb", "spec/lib/simp/cli/config/item/ldap_bind_pw_spec.rb", "spec/lib/simp/cli/config/item/ldap_master_spec.rb", "spec/lib/simp/cli/config/item/ldap_root_dn_spec.rb", "spec/lib/simp/cli/config/item/ldap_root_hash_spec.rb", "spec/lib/simp/cli/config/item/ldap_sync_dn_spec.rb", "spec/lib/simp/cli/config/item/ldap_sync_hash_spec.rb", "spec/lib/simp/cli/config/item/ldap_sync_pw_spec.rb", "spec/lib/simp/cli/config/item/ldap_uri_spec.rb", "spec/lib/simp/cli/config/item/log_servers_spec.rb", "spec/lib/simp/cli/config/item/netmask_spec.rb", "spec/lib/simp/cli/config/item/network_conf_spec.rb", "spec/lib/simp/cli/config/item/network_dhcp_spec.rb", "spec/lib/simp/cli/config/item/network_interface_spec.rb", "spec/lib/simp/cli/config/item/network_setup_nic_spec.rb", "spec/lib/simp/cli/config/item/ntp_servers_spec.rb", "spec/lib/simp/cli/config/item/puppet_autosign_spec.rb", "spec/lib/simp/cli/config/item/puppet_ca_port_spec.rb", "spec/lib/simp/cli/config/item/puppet_ca_spec.rb", "spec/lib/simp/cli/config/item/puppet_conf_spec.rb", "spec/lib/simp/cli/config/item/puppet_fileserver_spec.rb", "spec/lib/simp/cli/config/item/puppet_hosts_entry_spec.rb", "spec/lib/simp/cli/config/item/puppet_server_ip_spec.rb", "spec/lib/simp/cli/config/item/puppet_server_spec.rb", "spec/lib/simp/cli/config/item/puppetdb_port_spec.rb", "spec/lib/simp/cli/config/item/puppetdb_server_spec.rb", "spec/lib/simp/cli/config/item/remove_ldap_from_hiera_spec.rb", "spec/lib/simp/cli/config/item/rename_fqdn_yaml_spec.rb", "spec/lib/simp/cli/config/item/rsync_base_spec.rb", "spec/lib/simp/cli/config/item/rsync_server_spec.rb", "spec/lib/simp/cli/config/item/rsync_timeout_spec.rb", "spec/lib/simp/cli/config/item/set_grub_password_spec.rb", "spec/lib/simp/cli/config/item/simp_yum_servers_spec.rb", "spec/lib/simp/cli/config/item/spec_helper.rb", "spec/lib/simp/cli/config/item/sssd_domains_spec.rb", "spec/lib/simp/cli/config/item/use_auditd_spec.rb", "spec/lib/simp/cli/config/item/use_fips_spec.rb", "spec/lib/simp/cli/config/item/use_iptables_spec.rb", "spec/lib/simp/cli/config/item/use_ldap_spec.rb", "spec/lib/simp/cli/config/item/use_selinux_spec.rb", "spec/lib/simp/cli/config/item/yum_repositories_spec.rb", "spec/lib/simp/cli/config/item_spec.rb", "spec/lib/simp/cli/config/spec_helper.rb", "spec/lib/simp/cli/config/utils_spec.rb", "spec/lib/simp/cli/spec_helper.rb", "spec/lib/simp/cli_spec.rb", "spec/spec_helper.rb"]
  s.homepage = %q{https://github.com/NationalSecurityAgency/rubygem-simp-cli}
  s.licenses = ["Apache-2.0"]
  s.require_paths = ["lib"]
  s.requirements = ["SIMP OS installation"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{a cli interface to configure/manage SIMP}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<highline>, ["~> 1.6", "> 1.6.1"])
      s.add_development_dependency(%q<rake>, ["~> 10"])
      s.add_development_dependency(%q<rspec>, ["~> 3"])
      s.add_development_dependency(%q<rspec-its>, ["~> 1"])
      s.add_development_dependency(%q<listen>, ["~> 3.0.0"])
      s.add_development_dependency(%q<guard>, ["~> 2"])
      s.add_development_dependency(%q<guard-shell>, ["~> 0"])
      s.add_development_dependency(%q<guard-rspec>, ["~> 4"])
      s.add_development_dependency(%q<pry>, ["~> 0"])
      s.add_development_dependency(%q<pry-doc>, ["~> 0"])
      s.add_development_dependency(%q<dotenv>, ["~> 1"])
      s.add_development_dependency(%q<rubocop>, ["~> 0.29"])
    else
      s.add_dependency(%q<highline>, ["~> 1.6", "> 1.6.1"])
      s.add_dependency(%q<rake>, ["~> 10"])
      s.add_dependency(%q<rspec>, ["~> 3"])
      s.add_dependency(%q<rspec-its>, ["~> 1"])
      s.add_dependency(%q<listen>, ["~> 3.0.0"])
      s.add_dependency(%q<guard>, ["~> 2"])
      s.add_dependency(%q<guard-shell>, ["~> 0"])
      s.add_dependency(%q<guard-rspec>, ["~> 4"])
      s.add_dependency(%q<pry>, ["~> 0"])
      s.add_dependency(%q<pry-doc>, ["~> 0"])
      s.add_dependency(%q<dotenv>, ["~> 1"])
      s.add_dependency(%q<rubocop>, ["~> 0.29"])
    end
  else
    s.add_dependency(%q<highline>, ["~> 1.6", "> 1.6.1"])
    s.add_dependency(%q<rake>, ["~> 10"])
    s.add_dependency(%q<rspec>, ["~> 3"])
    s.add_dependency(%q<rspec-its>, ["~> 1"])
    s.add_dependency(%q<listen>, ["~> 3.0.0"])
    s.add_dependency(%q<guard>, ["~> 2"])
    s.add_dependency(%q<guard-shell>, ["~> 0"])
    s.add_dependency(%q<guard-rspec>, ["~> 4"])
    s.add_dependency(%q<pry>, ["~> 0"])
    s.add_dependency(%q<pry-doc>, ["~> 0"])
    s.add_dependency(%q<dotenv>, ["~> 1"])
    s.add_dependency(%q<rubocop>, ["~> 0.29"])
  end
end
